<html>
<head>
<title>OGRE: OgreSceneManager.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreSceneManager.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreSceneNode_8h-source.html">OgreSceneNode.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePlane_8h-source.html">OgrePlane.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreAutoParamDataSource_8h-source.html">OgreAutoParamDataSource.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRectangle2D_8h-source.html">OgreRectangle2D.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePixelFormat_8h-source.html">OgrePixelFormat.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTexture_8h-source.html">OgreTexture.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetup_8h-source.html">OgreShadowCameraSetup.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreCamera_8h-source.html">OgreCamera.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>&quot;</code><br>

<p>
<a href="OgreSceneManager_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ViewPoint.html">Ogre::ViewPoint</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure for holding a position &amp; orientation pair.  <a href="structOgre_1_1ViewPoint.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html">Ogre::VisibleObjectsBoundsInfo</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure collecting together information about the visible objects that have been discovered in a scene.  <a href="structOgre_1_1VisibleObjectsBoundsInfo.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowListener.html">Ogre::ShadowListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Interface definition for classes which can listen in on the process of rendering shadows, in order to implement custom behaviour.  <a href="classOgre_1_1ShadowListener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager.html">Ogre::SceneManager</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manages the organisation and rendering of a 'scene' i.e.  <a href="classOgre_1_1SceneManager.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1materialLess.html">Ogre::SceneManager::materialLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator for material map, for sorting materials into render order (e.g.  <a href="structOgre_1_1SceneManager_1_1materialLess.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1lightLess.html">Ogre::SceneManager::lightLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator for sorting lights relative to a point.  <a href="structOgre_1_1SceneManager_1_1lightLess.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyDomeGenParameters.html">Ogre::SceneManager::SkyDomeGenParameters</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html">Ogre::SceneManager::SkyPlaneGenParameters</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyBoxGenParameters.html">Ogre::SceneManager::SkyBoxGenParameters</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">Ogre::SceneManager::LightInfo</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cached light information, used to tracking light's changes.  <a href="structOgre_1_1SceneManager_1_1LightInfo.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1MovableObjectCollection.html">Ogre::SceneManager::MovableObjectCollection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Simple structure to hold <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> map and a mutex to go with it.  <a href="structOgre_1_1SceneManager_1_1MovableObjectCollection.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1lightsForShadowTextureLess.html">Ogre::SceneManager::lightsForShadowTextureLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default sorting routine which sorts lights which cast shadows to the front of a list, sub-sorting by distance.  <a href="structOgre_1_1SceneManager_1_1lightsForShadowTextureLess.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inner class to use as callback for shadow caster scene query.  <a href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inner helper class to implement the visitor pattern for rendering objects in a queue.  <a href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultIntersectionSceneQuery.html">Ogre::DefaultIntersectionSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>.  <a href="classOgre_1_1DefaultIntersectionSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html">Ogre::DefaultRaySceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>.  <a href="classOgre_1_1DefaultRaySceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultSphereSceneQuery.html">Ogre::DefaultSphereSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1SphereSceneQuery.html" title="Specialises the SceneQuery class for querying within a sphere.">SphereSceneQuery</a>.  <a href="classOgre_1_1DefaultSphereSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html" title="Specialises the SceneQuery class for querying within a plane-bounded volume.">PlaneBoundedVolumeListSceneQuery</a>.  <a href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultAxisAlignedBoxSceneQuery.html">Ogre::DefaultAxisAlignedBoxSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default implementation of <a class="el" href="classOgre_1_1AxisAlignedBoxSceneQuery.html" title="Specialises the SceneQuery class for querying within an axis aligned box.">AxisAlignedBoxSceneQuery</a>.  <a href="classOgre_1_1DefaultAxisAlignedBoxSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html">Ogre::SceneManagerMetaData</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure containing information about a scene manager.  <a href="structOgre_1_1SceneManagerMetaData.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerFactory.html">Ogre::SceneManagerFactory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class which will create instances of a given <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="classOgre_1_1SceneManagerFactory.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef uint16&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a4b6dbd7bf722582a21fcc25d25f73ed">Ogre::SceneTypeMask</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Bitmask containing scene types.  <a href="#a4b6dbd7bf722582a21fcc25d25f73ed"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af914">Ogre::SceneType</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af9140af8f844019e52fe112e9a946a919fcd">Ogre::ST_GENERIC</a> =  1, 
<a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af914e83ae1c9a6e4816184441db4a140e70a">Ogre::ST_EXTERIOR_CLOSE</a> =  2, 
<a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af9148bf5864d5ab311e0512ed153c95f1d13">Ogre::ST_EXTERIOR_FAR</a> =  4, 
<a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af9147eecd7057b3487616075032560582ec1">Ogre::ST_EXTERIOR_REAL_FAR</a> =  8, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af91493f2170ad3a8132f29264dc3642a2dcf">Ogre::ST_INTERIOR</a> =  16
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Classification of a scene to allow a decision of what type of SceenManager to provide back to the application.  <a href="namespaceOgre.html#7383602bd480d43b80c626969b9af914">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
